如果你的M1安装cocoapods也总是失败,试试这个?

编程笔记 小碎银 1年前 (2023-02-21) 1638次浏览 0个评论

近来在学习flutter,在调试iOS端的时候,需要用到cocoapods

但是按照官方文档给出的安装方法:

sudo gem install cocoapods

尝试了几次都是失败,在网上查了很多方法,都是不可以。

最后在stackoverflow上翻到一个帖子,里面提出M1芯片的mac,最好是通过homebrew方式安装。

我打开homebrew的官网,在里面搜索了cocoapods,确实是支持M1的。

如果你的M1安装cocoapods也总是失败,试试这个?

 

如果你也遇到了无法安装cocoapods的问题,不妨试试如下方法:

打开terminal,输入如下命令:

sudo gem uninstall cocoapods

brew update

brew install cocoapods

等待几分钟,不出意外的话,是会安装成功的!

安装完毕后,在terminal中输入

pod --version

如果你的M1安装cocoapods也总是失败,试试这个?

如果能够看到版本号,说明成功了!


end


小碎银 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权
转载请注明原文链接:如果你的M1安装cocoapods也总是失败,试试这个?
喜欢 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址